Subject: Re: linux-next: build warning after merge of the risc-v tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 1 Apr 2022 11:41:46 +1100

Hi Palmer,

On Thu, 31 Mar 2022 17:05:15 -0700 (PDT) Palmer Dabbelt <[email-masked]> wrote:
>
> On Tue, 29 Mar 2022 09:46:57 PDT (-0700), Palmer Dabbelt wrote:
> > On Mon, 28 Mar 2022 19:34:12 PDT (-0700), Stephen Rothwell wrote:  
> >>
> >> After merging the risc-v tree, today's linux-next build (htmldocs)
> >> produced this warning:
> >>
> >> Documentation/riscv/index.rst:5: WARNING: toctree contains reference to nonexisting document 'riscv/pmu'
> >>
> >> Introduced by commit
> >>
> >>   23b1f18326ec ("Documentation: riscv: Remove the old documentation")
> >>
> >> This is actually in Linus' tree.  Sorry I missed it when it was
> >> introduced.  
> >
> > I guess I missed it too.  I just sent a patch to fix it up.  
> 
> Coming around to the fix reminds me that I should have asked what you're 
> running to trigger these, as I should probably add it to my tests.

I just do a "make htmldocs" once a day and compare it to the previous
days results.  You will need to install quite a bit of extra stuff for
sphinx to work.

-- 
Cheers,
Stephen Rothwell